/*
//-----------------------------------------------------------------------------
OSS - OneTimePad V1.0 (C) 2003 by A. Ogut. All rights reserved. 

License to copy and use this software is granted provided that it 
is identified as the "OSS - OneTimePad" in all material mentioning 
or referencing this software or this function. 

License is also granted to make and use derivative works provided 
that such works are identified as "derived from the OSS - OneTimePad" 
in all material mentioning or referencing the derived work. 

OSS - Ogut Software Systems makes no representations concerning either 
the merchantability of this software or the suitability of this 
software for any particular purpose. It is provided "as is" 
without express or implied warranty of any kind. 

These notices must be retained in any copies of any part of this 
documentation and/or software. 
//-----------------------------------------------------------------------------
*/

#if !defined(AFX_DLGENTERKEY_H__1E8EB5CC_2A48_11D7_A1AF_909CBD5DBF43__INCLUDED_)
#define AFX_DLGENTERKEY_H__1E8EB5CC_2A48_11D7_A1AF_909CBD5DBF43__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// DlgEnterKey.h : Header-Datei
//

#include "stdafx.h"

/////////////////////////////////////////////////////////////////////////////
// Dialogfeld CDlgEnterKey 

class CDlgEnterKey : public CDialog
{
// Konstruktion
public:

  // szTitle:     Titel der Dialogbox (optional)
  // minPassword: minimale Passwordlnge
  // maxPassword: maximaler Buffer fr Password in pPwd
  // pPassword:   Zeiger auf Passwordbuffer
	CDlgEnterKey(CString sTitle, int minPassword, int maxPassword, char *pPassword, CWnd* pParent = NULL);   // Standardkonstruktor

// Dialogfelddaten
	//{{AFX_DATA(CDlgEnterKey)
	enum { IDD = IDD_DIALOGENTERKEY };
		// HINWEIS: Der Klassen-Assistent fgt hier Datenelemente ein
	//}}AFX_DATA


// berschreibungen
	// Vom Klassen-Assistenten generierte virtuelle Funktionsberschreibungen
	//{{AFX_VIRTUAL(CDlgEnterKey)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV-Untersttzung
	//}}AFX_VIRTUAL

// Implementierung
private:
  int    minPwd, // minimale Passwordlnge
         maxPwd; // maximaler Buffer fr Password in pPwd
  LPTSTR pPwd;   // Zeiger auf Passwordbuffer
  CString m_sTitle; // Titel der Dialogbox (optional)
protected:

	// Generierte Nachrichtenzuordnungsfunktionen
	//{{AFX_MSG(CDlgEnterKey)
	virtual void OnOK();
	virtual BOOL OnInitDialog();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ fgt unmittelbar vor der vorhergehenden Zeile zustzliche Deklarationen ein.

#endif // AFX_DLGENTERKEY_H__1E8EB5CC_2A48_11D7_A1AF_909CBD5DBF43__INCLUDED_
