/*
//-----------------------------------------------------------------------------
OSS - OneTimePad V1.0 (C) 2003 by A. Ogut. All rights reserved. 

License to copy and use this software is granted provided that it 
is identified as the "OSS - OneTimePad" in all material mentioning 
or referencing this software or this function. 

License is also granted to make and use derivative works provided 
that such works are identified as "derived from the OSS - OneTimePad" 
in all material mentioning or referencing the derived work. 

OSS - Ogut Software Systems makes no representations concerning either 
the merchantability of this software or the suitability of this 
software for any particular purpose. It is provided "as is" 
without express or implied warranty of any kind. 

These notices must be retained in any copies of any part of this 
documentation and/or software. 
//-----------------------------------------------------------------------------
*/

#if !defined(AFX_DLGKEYWIZ2_H__D5A01E25_39C5_11D7_A1AF_A58C09523556__INCLUDED_)
#define AFX_DLGKEYWIZ2_H__D5A01E25_39C5_11D7_A1AF_A58C09523556__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// DlgKeyWiz2.h : Header-Datei
//

/////////////////////////////////////////////////////////////////////////////
// Dialogfeld CDlgKeyWiz2 

class CDlgKeyWiz2 : public CPropertyPage
{
// Konstruktion
public:
	CDlgKeyWiz2(CDlgKeyWizard *pPropSh);
	~CDlgKeyWiz2();

// Dialogfelddaten
	//{{AFX_DATA(CDlgKeyWiz2)
	enum { IDD = IDD_KEYWIZ2 };
		// HINWEIS - Der Klassen-Assistent fgt hier Datenelemente ein.
		//    Innerhalb dieser generierten Quellcodeabschnitte NICHTS BEARBEITEN!
	//}}AFX_DATA


// berschreibungen
	// Der Klassen-Assistent generiert virtuelle Funktionsberschreibungen
	//{{AFX_VIRTUAL(CDlgKeyWiz2)
	public:
	virtual BOOL OnSetActive();
	virtual BOOL PreTranslateMessage(MSG* pMsg);
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV-Untersttzung
	//}}AFX_VIRTUAL

// Implementierung
private:
  CDlgKeyWizard *_pPropSh;
  CListBox      *pListbox;

  void KeyFileCreate(BOOL bAppend);
  void UpdateKeySize(void);

protected:
	// Generierte Nachrichtenzuordnungsfunktionen
	//{{AFX_MSG(CDlgKeyWiz2)
	afx_msg void OnAddFiles();
	virtual BOOL OnInitDialog();
	afx_msg void OnAddRandom();
	afx_msg void OnKeyFileCreate();
	afx_msg void OnKeyfileAppend();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ fgt unmittelbar vor der vorhergehenden Zeile zustzliche Deklarationen ein.

#endif // AFX_DLGKEYWIZ2_H__D5A01E25_39C5_11D7_A1AF_A58C09523556__INCLUDED_
