/*
//-----------------------------------------------------------------------------
OSS - OneTimePad V1.0 (C) 2003 by A. Ogut. All rights reserved. 

License to copy and use this software is granted provided that it 
is identified as the "OSS - OneTimePad" in all material mentioning 
or referencing this software or this function. 

License is also granted to make and use derivative works provided 
that such works are identified as "derived from the OSS - OneTimePad" 
in all material mentioning or referencing the derived work. 

OSS - Ogut Software Systems makes no representations concerning either 
the merchantability of this software or the suitability of this 
software for any particular purpose. It is provided "as is" 
without express or implied warranty of any kind. 

These notices must be retained in any copies of any part of this 
documentation and/or software. 
//-----------------------------------------------------------------------------
*/

#if !defined(AFX_DLGKEYFILERND_H__DFC0C640_2FC3_11D7_A1AF_EDB53376054C__INCLUDED_)
#define AFX_DLGKEYFILERND_H__DFC0C640_2FC3_11D7_A1AF_EDB53376054C__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// DlgKeyfileRnd.h : Header-Datei
//

/////////////////////////////////////////////////////////////////////////////
// Dialogfeld CDlgKeyfileRnd 

class CDlgKeyfileRnd : public CDialog
{
// Konstruktion
public:
	CDlgKeyfileRnd(long *rnd, long *nBytes, CWnd* pParent = NULL);   // Standardkonstruktor

// Dialogfelddaten
	//{{AFX_DATA(CDlgKeyfileRnd)
	enum { IDD = IDD_DIALOGADDRANDOM };
		// HINWEIS: Der Klassen-Assistent fgt hier Datenelemente ein
	//}}AFX_DATA


// berschreibungen
	// Vom Klassen-Assistenten generierte virtuelle Funktionsberschreibungen
	//{{AFX_VIRTUAL(CDlgKeyfileRnd)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV-Untersttzung
	//}}AFX_VIRTUAL

// Implementierung
private:
  long *_rnd,      // Referenz auf Zufallsvariable
       *_nBytes;   // Referenz auf Anzahl Bytes

protected:

	// Generierte Nachrichtenzuordnungsfunktionen
	//{{AFX_MSG(CDlgKeyfileRnd)
	virtual BOOL OnInitDialog();
	virtual void OnOK();
	afx_msg void OnSetRnd();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ fgt unmittelbar vor der vorhergehenden Zeile zustzliche Deklarationen ein.

#endif // AFX_DLGKEYFILERND_H__DFC0C640_2FC3_11D7_A1AF_EDB53376054C__INCLUDED_
