/*
//-----------------------------------------------------------------------------
OSS - OneTimePad V1.0 (C) 2003 by A. Ogut. All rights reserved. 

License to copy and use this software is granted provided that it 
is identified as the "OSS - OneTimePad" in all material mentioning 
or referencing this software or this function. 

License is also granted to make and use derivative works provided 
that such works are identified as "derived from the OSS - OneTimePad" 
in all material mentioning or referencing the derived work. 

OSS - Ogut Software Systems makes no representations concerning either 
the merchantability of this software or the suitability of this 
software for any particular purpose. It is provided "as is" 
without express or implied warranty of any kind. 

These notices must be retained in any copies of any part of this 
documentation and/or software. 
//-----------------------------------------------------------------------------
*/

#if !defined(AFX_DLGMIXKEYFILE_H__AC544FC3_32F2_11D7_A1AF_91FF91441147__INCLUDED_)
#define AFX_DLGMIXKEYFILE_H__AC544FC3_32F2_11D7_A1AF_91FF91441147__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// DlgMixKeyfile.h : Header-Datei
//

/////////////////////////////////////////////////////////////////////////////
// Dialogfeld DlgMixKeyfile 

class DlgMixKeyfile : public CDialog
{
// Konstruktion
public:
	DlgMixKeyfile(long *rnd, long *nWindowSize, long *nWindowPass, long *nPass, CWnd* pParent = NULL);   // Standardkonstruktor

// Dialogfelddaten
	//{{AFX_DATA(DlgMixKeyfile)
	enum { IDD = IDD_DIALOGMIXKEYFILE };
		// HINWEIS: Der Klassen-Assistent fgt hier Datenelemente ein
	//}}AFX_DATA


// berschreibungen
	// Vom Klassen-Assistenten generierte virtuelle Funktionsberschreibungen
	//{{AFX_VIRTUAL(DlgMixKeyfile)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV-Untersttzung
	//}}AFX_VIRTUAL

// Implementierung
private:
  long *_rnd,         // Referenz auf Zufallsvariable
       *_nWindowSize, // Fenstergrsse in Bytes
       *_nWindowPass, // Anzahl der Vertauschungen innerhalb des Fensters
       *_nPass;       // Anzahl der Durchlufe (Datei)

protected:

	// Generierte Nachrichtenzuordnungsfunktionen
	//{{AFX_MSG(DlgMixKeyfile)
	virtual BOOL OnInitDialog();
	virtual void OnOK();
	afx_msg void OnSetRnd();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ fgt unmittelbar vor der vorhergehenden Zeile zustzliche Deklarationen ein.

#endif // AFX_DLGMIXKEYFILE_H__AC544FC3_32F2_11D7_A1AF_91FF91441147__INCLUDED_
