/*
//-----------------------------------------------------------------------------
OSS - OneTimePad V1.0 (C) 2003 by A. Ogut. All rights reserved. 

License to copy and use this software is granted provided that it 
is identified as the "OSS - OneTimePad" in all material mentioning 
or referencing this software or this function. 

License is also granted to make and use derivative works provided 
that such works are identified as "derived from the OSS - OneTimePad" 
in all material mentioning or referencing the derived work. 

OSS - Ogut Software Systems makes no representations concerning either 
the merchantability of this software or the suitability of this 
software for any particular purpose. It is provided "as is" 
without express or implied warranty of any kind. 

These notices must be retained in any copies of any part of this 
documentation and/or software. 
//-----------------------------------------------------------------------------
*/

// stdafx.h : Include-Datei fr Standard-System-Include-Dateien,
//  oder projektspezifische Include-Dateien, die hufig benutzt, aber
//      in unregelmigen Abstnden gendert werden.
//

#if !defined(AFX_STDAFX_H__1E8EB5C6_2A48_11D7_A1AF_909CBD5DBF43__INCLUDED_)
#define AFX_STDAFX_H__1E8EB5C6_2A48_11D7_A1AF_909CBD5DBF43__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#define VC_EXTRALEAN		// Selten verwendete Teile der Windows-Header nicht einbinden

#include <afxwin.h>         // MFC-Kern- und -Standardkomponenten
#include <afxext.h>         // MFC-Erweiterungen
#include <afxdisp.h>        // MFC Automatisierungsklassen
#include <afxdtctl.h>		    // MFC-Untersttzung fr allgemeine Steuerelemente von Internet Explorer 4
#ifndef _AFX_NO_AFXCMN_SUPPORT
#include <afxcmn.h>			    // MFC-Untersttzung fr gngige Windows-Steuerelemente
#endif // _AFX_NO_AFXCMN_SUPPORT

#include <math.h>
#include <stdio.h>
#include <stdlib.h>
#include <direct.h>

#include "Resource.h"
#include "OneTimePadDlg.h"
#include "DlgDragDrop.h"
#include "DlgAbort.h"
#include "DlgKeyWizard.h"
#include "DlgKeyWiz1.h"
#include "DlgKeyWiz2.h"
#include "DlgKeyWiz3.h"
#include "DlgSettings.h"
#include "DlgEnterKey.h"
#include "DlgKeyfileRnd.h"
#include "DlgRepLimKeyfile.h"
#include "DlgMixKeyfile.h"
#include "DlgLicenseWiz1.h"
#include "DlgLicenseWiz2.h"


#include "memalloc.h"
#include "md5.h"
#include "Longmath.h"
#include "AsciiLut.h"
#include "OneTimePadTl.h"
#include "Statistics.h"



//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ fgt unmittelbar vor der vorhergehenden Zeile zustzliche Deklarationen ein.

#endif // !defined(AFX_STDAFX_H__1E8EB5C6_2A48_11D7_A1AF_909CBD5DBF43__INCLUDED_)
