/*
//-----------------------------------------------------------------------------
OSS - OneTimePad V1.0 (C) 2003 by A. Ogut. All rights reserved. 

License to copy and use this software is granted provided that it 
is identified as the "OSS - OneTimePad" in all material mentioning 
or referencing this software or this function. 

License is also granted to make and use derivative works provided 
that such works are identified as "derived from the OSS - OneTimePad" 
in all material mentioning or referencing the derived work. 

OSS - Ogut Software Systems makes no representations concerning either 
the merchantability of this software or the suitability of this 
software for any particular purpose. It is provided "as is" 
without express or implied warranty of any kind. 

These notices must be retained in any copies of any part of this 
documentation and/or software. 
//-----------------------------------------------------------------------------
*/

#if !defined(AFX_DLGKEYWIZ3_H__70BC83A0_3AA0_11D7_A1AF_9A69CFE82E57__INCLUDED_)
#define AFX_DLGKEYWIZ3_H__70BC83A0_3AA0_11D7_A1AF_9A69CFE82E57__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// DlgKeyWiz3.h : Header-Datei
//

/////////////////////////////////////////////////////////////////////////////
// Dialogfeld CDlgKeyWiz3 

class CDlgKeyWiz3 : public CPropertyPage
{
// Konstruktion
public:
	CDlgKeyWiz3(CDlgKeyWizard *pPropSh);
	~CDlgKeyWiz3();

// Dialogfelddaten
	//{{AFX_DATA(CDlgKeyWiz3)
	enum { IDD = IDD_KEYWIZ3 };
		// HINWEIS - Der Klassen-Assistent fgt hier Datenelemente ein.
		//    Innerhalb dieser generierten Quellcodeabschnitte NICHTS BEARBEITEN!
	//}}AFX_DATA


// berschreibungen
	// Der Klassen-Assistent generiert virtuelle Funktionsberschreibungen
	//{{AFX_VIRTUAL(CDlgKeyWiz3)
	public:
	virtual BOOL OnSetActive();
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV-Untersttzung
	//}}AFX_VIRTUAL

// Implementierung
private:
  CDlgKeyWizard *_pPropSh;

protected:
	// Generierte Nachrichtenzuordnungsfunktionen
	//{{AFX_MSG(CDlgKeyWiz3)
	afx_msg void OnMixKeyFile();
	afx_msg void OnRepeatLimiter();
	afx_msg void OnStatKeyFile();
	virtual BOOL OnInitDialog();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ fgt unmittelbar vor der vorhergehenden Zeile zustzliche Deklarationen ein.

#endif // AFX_DLGKEYWIZ3_H__70BC83A0_3AA0_11D7_A1AF_9A69CFE82E57__INCLUDED_
