/*
//-----------------------------------------------------------------------------
OSS - OneTimePad V1.0 (C) 2003 by A. Ogut. All rights reserved. 

License to copy and use this software is granted provided that it 
is identified as the "OSS - OneTimePad" in all material mentioning 
or referencing this software or this function. 

License is also granted to make and use derivative works provided 
that such works are identified as "derived from the OSS - OneTimePad" 
in all material mentioning or referencing the derived work. 

OSS - Ogut Software Systems makes no representations concerning either 
the merchantability of this software or the suitability of this 
software for any particular purpose. It is provided "as is" 
without express or implied warranty of any kind. 

These notices must be retained in any copies of any part of this 
documentation and/or software. 
//-----------------------------------------------------------------------------
*/

#if !defined(AFX_DLGLICENSEWIZ2_H__DC788161_59FA_11D7_855C_0050BA6D21A4__INCLUDED_)
#define AFX_DLGLICENSEWIZ2_H__DC788161_59FA_11D7_855C_0050BA6D21A4__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// DlgLicenseWiz2.h : Header-Datei
//

/////////////////////////////////////////////////////////////////////////////
// Dialogfeld CDlgLicenseWiz2 

class CDlgLicenseWiz2 : public CPropertyPage
{
// Konstruktion
public:
	CDlgLicenseWiz2(CDlgLicenseWizard *pPropSh);
	~CDlgLicenseWiz2();

// Dialogfelddaten
	//{{AFX_DATA(CDlgLicenseWiz2)
	enum { IDD = IDD_LICENSEWIZ2 };
		// HINWEIS - Der Klassen-Assistent fgt hier Datenelemente ein.
		//    Innerhalb dieser generierten Quellcodeabschnitte NICHTS BEARBEITEN!
	//}}AFX_DATA


// berschreibungen
	// Der Klassen-Assistent generiert virtuelle Funktionsberschreibungen
	//{{AFX_VIRTUAL(CDlgLicenseWiz2)
	public:
	virtual BOOL OnSetActive();
	virtual BOOL OnWizardFinish();
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV-Untersttzung
	//}}AFX_VIRTUAL

// Implementierung
private:
  CDlgLicenseWizard *_pPropSh;
  
  int  GetAnswers(void);
  BOOL AllRadioButtonSelected(void);

protected:
	// Generierte Nachrichtenzuordnungsfunktionen
	//{{AFX_MSG(CDlgLicenseWiz2)
		// HINWEIS: Der Klassen-Assistent fgt hier Member-Funktionen ein
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ fgt unmittelbar vor der vorhergehenden Zeile zustzliche Deklarationen ein.

#endif // AFX_DLGLICENSEWIZ2_H__DC788161_59FA_11D7_855C_0050BA6D21A4__INCLUDED_
