/*
//-----------------------------------------------------------------------------
OSS - OneTimePad V1.0 (C) 2003 by A. Ogut. All rights reserved. 

License to copy and use this software is granted provided that it 
is identified as the "OSS - OneTimePad" in all material mentioning 
or referencing this software or this function. 

License is also granted to make and use derivative works provided 
that such works are identified as "derived from the OSS - OneTimePad" 
in all material mentioning or referencing the derived work. 

OSS - Ogut Software Systems makes no representations concerning either 
the merchantability of this software or the suitability of this 
software for any particular purpose. It is provided "as is" 
without express or implied warranty of any kind. 

These notices must be retained in any copies of any part of this 
documentation and/or software. 
//-----------------------------------------------------------------------------
*/

/* GLOBAL.H - types and constants
 */
//-----------------------------------------------------------------------------

#ifndef _GLOBAL_H_INCLUDED_
#define _GLOBAL_H_INCLUDED_

#ifdef __cplusplus
extern "C" { /* Assume C declarations for C++ */
#endif	/* __cplusplus */


/* POINTER defines a generic pointer type */

typedef unsigned char *POINTER; 

/* UINT2 defines a two byte word */

typedef unsigned short int UINT2; 

/* UINT4 defines a four byte word */

typedef unsigned long int UINT4; 


#ifndef xor
#define xor ^ 
#endif


#ifndef FALSE
#define FALSE 0 
#endif


#ifndef TRUE
#define TRUE  1
#endif


/*
#ifndef DWORD
#define DWORD unsigned long
#endif

#ifndef BYTE
#define BYTE unsigned char
#endif
*/

// Seitenlnge in Bytes fr Dateioperationen
enum { FILE_PAGESIZE = 8192 };      

#ifdef __cplusplus
} /* End of extern "C" { */
#endif	/* __cplusplus */

#endif // _GLOBAL_H_INCLUDED_